/*
	IC Component Selectors
	
	These selectors control the function performed by the Internet Config Component.
*/

#ifndef __H_IC_Component_Selectors__
#define __H_IC_Component_Selectors__

enum {
	kICCStart						= 0,
	kICCStop						= 1,
	kICCFindConfigFile				= 2,
	kICCFindUserConfigFile			= 14,
	kICCGeneralFindConfigFile			= 30,
	kICCChooseConfig				= 33,
	kICCChooseNewConfig			= 34,
	kICCGetConfigName				= 35,
	kICCGetConfigReference			= 31,
	kICCSetConfigReference			= 32,
	kICCSpecifyConfigFile			= 3,
	kICCGetSeed					= 4,
	kICCGetPerm					= 13,
	kICCDefaultFileName				= 11,
	kICCBegin						= 5,
	kICCGetPref					= 6,
	kICCSetPref					= 7,
	kICCFindPrefHandle				= 36,
	kICCGetPrefHandle				= 26,
	kICCSetPrefHandle				= 27,
	kICCCountPref					= 8,
	kICCGetIndPref					= 9,
	kICCDeletePref					= 12,
	kICCEnd						= 10,
	kICCEditPreferences				= 15,
	kICCParseURL					= 16,
	kICCLaunchURL					= 17,
	kICCMapFilename				= 24,
	kICCMapTypeCreator				= 25,
	kICCMapEntriesFilename			= 28,
	kICCMapEntriesTypeCreator		= 29,
	kICCCountMapEntries				= 18,
	kICCGetIndMapEntry				= 19,
	kICCGetMapEntry				= 20,
	kICCSetMapEntry				= 21,
	kICCDeleteMapEntry				= 22,
	kICCAddMapEntry				= 23,
	kICC_first_select				= kICCStart,
	kICC_last_select				= kICCFindPrefHandle
};

#endif /* __H_IC_Component_Selectors__ */





