/*
	IC Link In Subs.h
	
	Header file for IC Link In Subs.c
	
*/

#pragma once

#ifndef __H_IC_Link_In_Subs__
#define __H_IC_Link_In_Subs__

#include "IC Types.h"

#ifdef __cplusplus
extern "C" {
#endif

ICError EditPreferences(StringPtr key,FSSpecPtr prefsfile);

ICError FindScheme(Handle urlh,StringPtr scheme);
ICError LaunchURL(OSType helper,Handle urlh);
ICError HaveProcessManager(void);
Boolean HaveNewStandardFile(void);
OSErr FSSpecToFullPath(FSSpecPtr fs,StringPtr path);
ICError CanInteract(void);

ICError ICFileSpecToFSSpec(ICFileSpecHandle filespec,Boolean can_interact,FSSpecPtr fs);
OSErr FSSpecToICFileSpec(FSSpecPtr fs,ICFileSpecHandle filespec);

void PasStrCopy(StringPtr from,StringPtr to);

#ifdef __cplusplus
}
#endif

#endif /* __H_IC_Link_In_Subs__ */



