/*
	syslog.h
	
	Header file for interfacing to the syslog component.
	
*/

#pragma once

#ifndef __H_syslog__
#define __H_syslog__

#include "syslog component.h"
#include "sys/syslog.h"

#ifdef __cplusplus
extern "C" {
#endif

void syslog(short priority,const char* format,...);
void openlog(const char* ident,short logopts,short facility);
void closelog(void);
short setlogmask(short mask);

OSErr syslogerr(void);
OSErr setsyslogfile(FSSpecPtr spec);
Boolean HaveComponentMgr(void);

#ifdef __cplusplus
}
#endif

#endif /* __H_syslog__ */


